Bug 68468 - (IDE)Can't turn DMA on
(IDE)Can't turn DMA on
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 10:00 EDT by Jay Turner
Modified: 2015-01-07 18:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2002-07-10 10:00:40 EDT
Description of Problem:
I have a DVD drive in a machine here at the desk which fails when I attempt to
enable DMA on it.  Don't know if this is expected or not, but thought it worth
the report.

[root@jkt3 root]# hdparm -d1 /dev/hdb

/dev/hdb:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-07-10 18:19:13 EDT
This is not an initscripts issue if it returns 'operation not permitted'.
Comment 2 Arjan van de Ven 2002-07-11 03:05:25 EDT
what chipset (ide wise) ?
Comment 3 Jay Turner 2002-07-11 08:15:55 EDT
[root@jkt3 root]# lspci
00:00.0 Host bridge: ServerWorks CNB20LE Host Bridge (rev 06)
00:00.1 Host bridge: ServerWorks CNB20LE Host Bridge (rev 06)
00:01.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
00:01.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
00:02.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
00:02.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
00:04.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:06.0 System peripheral: Compaq Computer Corporation Advanced System
Management Controller
00:0f.0 ISA bridge: ServerWorks CSB5 South Bridge (rev 92)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 92)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 USB Controller (rev 05)
00:0f.3 Host bridge: ServerWorks: Unknown device 0230
02:04.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)
Comment 4 Arjan van de Ven 2002-07-26 09:35:02 EDT
hmm maybe the drive is on the blacklist...
cat /proc/ide/*/model ?
Comment 5 Alex Tribble 2003-03-07 20:23:59 EST
I have the same problem:
[root@tribblesoft2 root]# hdparm -d 1 /dev/hdd

/dev/hdd:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

[root@tribblesoft2 root]# lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 745 Host (rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] 5591/5592 AGP
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 (LPC Bridge)
00:02.2 USB Controller: Silicon Integrated Systems [SiS] 7001 (rev 07)
00:02.3 USB Controller: Silicon Integrated Systems [SiS] 7001 (rev 07)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:0b.0 Network controller: Standard Microsystems Corp [SMC] SMC2602W EZConnect
/ Addtron AWA-100 (rev 02)
00:0c.0 Ethernet controller: Davicom Semiconductor, Inc. Ethernet 100/10 MBit
(rev 31)
01:00.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4 Ti4200]
(rev a3)

[root@tribblesoft2 ide]# pwd
/proc/ide
[root@tribblesoft2 ide]# ls
drivers  hda  hdc  hdd  ide0  ide1  sis
[root@tribblesoft2 ide]# cat hd?/model
IC35L060AVVA07-0
ATAPI CD-RW 32/12/40X
IDE DVD-ROM 16X

Comment 6 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.